diff --git a/app/views/help/wiki_syntax/textile/ca/wiki_syntax_textile.html.erb b/app/views/help/wiki_syntax/textile/ca/wiki_syntax_textile.html.erb
index 67d1d0370..701fa54b8 100644
--- a/app/views/help/wiki_syntax/textile/ca/wiki_syntax_textile.html.erb
+++ b/app/views/help/wiki_syntax/textile/ca/wiki_syntax_textile.html.erb
@@ -11,13 +11,13 @@
 
 <table style="width:100%">
 <tr><th colspan="3">Estil de font <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Negreta" }) %></th><td style="width:50%;">*Negreta*</td><td style="width:50%;"><strong>Negreta</strong></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "Cursiva" }) %></th><td>_Cursiva_</td><td><em>Cursiva</em></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ins.png", { alt: "Subratllat" }) %></th><td>+Subratllat+</td><td><ins>Subratllat</ins></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "Eliminat" }) %></th><td>-Eliminat-</td><td><del>Eliminat</del></td></tr>
+<tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "Negreta" }) %></th><td style="width:50%;">*Negreta*</td><td style="width:50%;"><strong>Negreta</strong></td></tr>
+<tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "Cursiva" }) %></th><td>_Cursiva_</td><td><em>Cursiva</em></td></tr>
+<tr><th><%= image_tag("jstoolbar/underline.svg", { alt: "Subratllat" }) %></th><td>+Subratllat+</td><td><ins>Subratllat</ins></td></tr>
+<tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Eliminat" }) %></th><td>-Eliminat-</td><td><del>Eliminat</del></td></tr>
 <tr><th></th><td>??Cita??</td><td><cite>Cita</cite></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "Codi en línia" }) %></th><td>@Codi en línia@</td><td><code>Codi en línia</code></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Linies de codi" }) %></th><td>&lt;pre&gt;<br />&nbsp;linies<br />&nbsp;de codi<br />&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Codi en línia" }) %></th><td>@Codi en línia@</td><td><code>Codi en línia</code></td></tr>
+<tr><th><span class="syntax-pre"/></th><td>&lt;pre&gt;<br />&nbsp;linies<br />&nbsp;de codi<br />&lt;/pre&gt;</td><td>
 <pre>
  linies
  de codi
@@ -25,7 +25,7 @@
 </td></tr>
 
 <tr><th colspan="3">Highlighted code <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">more</a> | <a href="<%= help_code_highlighting_path %>" target="_blank">supported languages</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Highlighted code" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Highlighted code" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Hello'</span>
 <span class="k">end</span>
@@ -33,20 +33,20 @@
 </td></tr>
 
 <tr><th colspan="3">Llistes</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Llista desordenada" }) %></th><td>* Article 1<br />** Sub<br />* Article 2</td><td><ul><li>Article 1<ul><li>Sub</li></ul></li><li>Article 2</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Llista ordenada" }) %></th><td># Article 1<br />## Sub<br /># Article 2</td><td><ol><li>Article 1<ol><li>Sub</li></ol></li><li>Article 2</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Llista desordenada" }) %></th><td>* Article 1<br />** Sub<br />* Article 2</td><td><ul><li>Article 1<ul><li>Sub</li></ul></li><li>Article 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Llista ordenada" }) %></th><td># Article 1<br />## Sub<br /># Article 2</td><td><ol><li>Article 1<ol><li>Sub</li></ol></li><li>Article 2</li></ol></td></tr>
 
 <tr><th colspan="3">Capçaleres <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt: "Encapçament 1" }) %></th><td>h1. Títol 1</td><td><h1>Títol 1</h1></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt: "Encapçament 2" }) %></th><td>h2. Títol 2</td><td><h2>Títol 2</h2></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt: "Encapçament 3" }) %></th><td>h3. Títol 3</td><td><h3>Títol 3</h3></td></tr>
+<tr><th><%= image_tag("jstoolbar/h1.svg", { alt: "Encapçament 1" }) %></th><td>h1. Títol 1</td><td><h1>Títol 1</h1></td></tr>
+<tr><th><%= image_tag("jstoolbar/h2.svg", { alt: "Encapçament 2" }) %></th><td>h2. Títol 2</td><td><h2>Títol 2</h2></td></tr>
+<tr><th><%= image_tag("jstoolbar/h3.svg", { alt: "Encapçament 3" }) %></th><td>h3. Títol 3</td><td><h3>Títol 3</h3></td></tr>
 
 <tr><th colspan="3">Links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">more</a>)</span></th></tr>
 <tr><th></th><td>http://foo.bar</td><td><a href="#">http://foo.bar</a></td></tr>
 <tr><th></th><td>"Foo":http://foo.bar</td><td><a href="#">Foo</a></td></tr>
 
 <tr><th colspan="3">Links del Redmine <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_link.png", { alt: "Link a la pagina Wiki" }) %></th><td>[[Pagina Wiki]]</td><td><a href="#">Pagina Wiki</a></td></tr>
+<tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Link a la pagina Wiki" }) %></th><td>[[Pagina Wiki]]</td><td><a href="#">Pagina Wiki</a></td></tr>
 <tr><th></th><td>Assumpte #12</td><td>Assumpte <a href="#">#12</a></td></tr>
 <tr><th></th><td>##12</td><td><a href="#">Bug #12</a>: The issue subject</td></tr>
 <tr><th></th><td>Revisió r43</td><td>Revisió <a href="#">r43</a></td></tr>
@@ -54,7 +54,7 @@
 <tr><th></th><td>source:some/file</td><td><a href="#">source:some/file</a></td></tr>
 
 <tr><th colspan="3">Imatges <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_img.png", { alt: "Imatge" }) %></th><td>!<em>imatge_url</em>!</td><td></td></tr>
+<tr><th><%= image_tag("jstoolbar/image.svg", { alt: "Imatge" }) %></th><td>!<em>imatge_url</em>!</td><td></td></tr>
 <tr><th></th><td>!<em>imatge_adjunta</em>!</td><td></td></tr>
 
 <tr><th colspan="3">Taules</th></tr>
diff --git a/app/views/help/wiki_syntax/textile/cs/wiki_syntax_textile.html.erb b/app/views/help/wiki_syntax/textile/cs/wiki_syntax_textile.html.erb
index 195d101a3..fe12b1587 100644
--- a/app/views/help/wiki_syntax/textile/cs/wiki_syntax_textile.html.erb
+++ b/app/views/help/wiki_syntax/textile/cs/wiki_syntax_textile.html.erb
@@ -11,13 +11,13 @@
 
 <table style="width:100%">
 <tr><th colspan="3">Styly písma <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">více</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "tučný" }) %></th><td style="width:50%;">*tučný*</td><td style="width:50%;"><strong>tučný</strong></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "kurzíva" }) %></th><td>_kurzíva_</td><td><em>kurzíva</em></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ins.png", { alt: "podtržený" }) %></th><td>+podtržený+</td><td><ins>podtržený</ins></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "přeškrtnutý" }) %></th><td>-přeškrtnutý-</td><td><del>přeškrtnutý</del></td></tr>
+<tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "tučný" }) %></th><td style="width:50%;">*tučný*</td><td style="width:50%;"><strong>tučný</strong></td></tr>
+<tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "kurzíva" }) %></th><td>_kurzíva_</td><td><em>kurzíva</em></td></tr>
+<tr><th><%= image_tag("jstoolbar/underline.svg", { alt: "podtržený" }) %></th><td>+podtržený+</td><td><ins>podtržený</ins></td></tr>
+<tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "přeškrtnutý" }) %></th><td>-přeškrtnutý-</td><td><del>přeškrtnutý</del></td></tr>
 <tr><th></th><td>??Citace??</td><td><cite>Citace</cite></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "vnořený kód" }) %></th><td>@vnořený kód@</td><td><code>vnořený kód</code></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "předformátovaný text" }) %></th><td>&lt;pre&gt;<br />&nbsp;řádky<br />&nbsp;kódu<br />&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "vnořený kód" }) %></th><td>@vnořený kód@</td><td><code>vnořený kód</code></td></tr>
+<tr><th><span class="syntax-pre"/></th><td>&lt;pre&gt;<br />&nbsp;řádky<br />&nbsp;kódu<br />&lt;/pre&gt;</td><td>
 <pre>
  řádky
  kódu
@@ -25,7 +25,7 @@
 </td></tr>
 
 <tr><th colspan="3">Zvýrazněný kód  <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">více</a> | <a href="<%= help_code_highlighting_path %>" target="_blank">podporované jazyky</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Zvýrazněný kód" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Ahoj'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Zvýrazněný kód" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Ahoj'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Ahoj'</span>
 <span class="k">end</span>
@@ -33,20 +33,20 @@
 </td></tr>
 
 <tr><th colspan="3">Seznamy</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Nesetříděný seznam" }) %></th><td>* Položka 1<br />** Pod<br />* Položka 2</td><td><ul><li>Položka 1<ul><li>Pod</li></ul></li><li>Položka 2</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Setříděný seznam" }) %></th><td># Položka 1<br />## Pod<br /># Položka 2</td><td><ol><li>Položka 1<ol><li>Pod</li></ol></li><li>Položka 2</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Nesetříděný seznam" }) %></th><td>* Položka 1<br />** Pod<br />* Položka 2</td><td><ul><li>Položka 1<ul><li>Pod</li></ul></li><li>Položka 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Setříděný seznam" }) %></th><td># Položka 1<br />## Pod<br /># Položka 2</td><td><ol><li>Položka 1<ol><li>Pod</li></ol></li><li>Položka 2</li></ol></td></tr>
 
 <tr><th colspan="3">Nadpisy <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt: "Nadpis 1" }) %></th><td>h1. Nadpis 1</td><td><h1>Nadpis 1</h1></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt: "Nadpis 2" }) %></th><td>h2. Nadpis 2</td><td><h2>Nadpis 2</h2></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt: "Nadpis 3" }) %></th><td>h3. Nadpis 3</td><td><h3>Nadpis 3</h3></td></tr>
+<tr><th><%= image_tag("jstoolbar/h1.svg", { alt: "Nadpis 1" }) %></th><td>h1. Nadpis 1</td><td><h1>Nadpis 1</h1></td></tr>
+<tr><th><%= image_tag("jstoolbar/h2.svg", { alt: "Nadpis 2" }) %></th><td>h2. Nadpis 2</td><td><h2>Nadpis 2</h2></td></tr>
+<tr><th><%= image_tag("jstoolbar/h3.svg", { alt: "Nadpis 3" }) %></th><td>h3. Nadpis 3</td><td><h3>Nadpis 3</h3></td></tr>
 
 <tr><th colspan="3">Odkazy <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">více</a>)</span></th></tr>
 <tr><th></th><td>http://foo.bar</td><td><a href="#">http://foo.bar</a></td></tr>
 <tr><th></th><td>"Odkaz":http://foo.bar</td><td><a href="#">Odkaz</a></td></tr>
 
 <tr><th colspan="3">Redmine odkazy <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">více</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_link.png", { alt: "Odkaz na Wiki stránku" }) %></th><td>[[Wiki stránka]]</td><td><a href="#">Wiki stránka</a></td></tr>
+<tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Odkaz na Wiki stránku" }) %></th><td>[[Wiki stránka]]</td><td><a href="#">Wiki stránka</a></td></tr>
 <tr><th></th><td>Úkol #12</td><td>Úkol <a href="#">#12</a></td></tr>
 <tr><th></th><td>##12</td><td><a href="#">Úkol #12</a>: Předmět úkolu</td></tr>
 <tr><th></th><td>Revize r43</td><td>Revize <a href="#">r43</a></td></tr>
@@ -54,7 +54,7 @@
 <tr><th></th><td>source:some/file</td><td><a href="#">source:some/file</a></td></tr>
 
 <tr><th colspan="3">Vnořené obrázky <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">více</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_img.png", { alt: "Obrázek" }) %></th><td>!<em>url_obrázku</em>!</td><td></td></tr>
+<tr><th><%= image_tag("jstoolbar/image.svg", { alt: "Obrázek" }) %></th><td>!<em>url_obrázku</em>!</td><td></td></tr>
 <tr><th></th><td>!<em>vnořený_obrázek</em>!</td><td></td></tr>
 
 <tr><th colspan="3">Tabulky</th></tr>
diff --git a/app/views/help/wiki_syntax/textile/de/wiki_syntax_textile.html.erb b/app/views/help/wiki_syntax/textile/de/wiki_syntax_textile.html.erb
index 54c6a6740..0a6db1299 100644
--- a/app/views/help/wiki_syntax/textile/de/wiki_syntax_textile.html.erb
+++ b/app/views/help/wiki_syntax/textile/de/wiki_syntax_textile.html.erb
@@ -11,13 +11,13 @@
 
 <table style="width:100%">
 <tr><th colspan="3">Schriftarten <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">mehr</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Fett" }) %></th><td style="width:50%;">*Fett*</td><td style="width:50%;"><strong>Fett</strong></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "Kursiv" }) %></th><td>_Kursiv_</td><td><em>Kursiv</em></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ins.png", { alt: "Unterstrichen" }) %></th><td>+Unterstrichen+</td><td><ins>Unterstrichen</ins></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "Durchgestrichen" }) %></th><td>-Durchgestrichen-</td><td><del>Durchgestrichen</del></td></tr>
+<tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "Fett" }) %></th><td style="width:50%;">*Fett*</td><td style="width:50%;"><strong>Fett</strong></td></tr>
+<tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "Kursiv" }) %></th><td>_Kursiv_</td><td><em>Kursiv</em></td></tr>
+<tr><th><%= image_tag("jstoolbar/underline.svg", { alt: "Unterstrichen" }) %></th><td>+Unterstrichen+</td><td><ins>Unterstrichen</ins></td></tr>
+<tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Durchgestrichen" }) %></th><td>-Durchgestrichen-</td><td><del>Durchgestrichen</del></td></tr>
 <tr><th></th><td>??Zitat??</td><td><cite>Zitat</cite></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "Inline-Code" }) %></th><td>@Inline-Code@</td><td><code>Inline-Code</code></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Vorformatierter Text" }) %></th><td>&lt;pre&gt;<br />&nbsp;vorformatierte<br />&nbsp;Codezeilen<br />&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Inline-Code" }) %></th><td>@Inline-Code@</td><td><code>Inline-Code</code></td></tr>
+<tr><th><span class="syntax-pre"/></th><td>&lt;pre&gt;<br />&nbsp;vorformatierte<br />&nbsp;Codezeilen<br />&lt;/pre&gt;</td><td>
 <pre>
  vorformartierte
  Codezeilen
@@ -25,7 +25,7 @@
 </td></tr>
 
 <tr><th colspan="3">Hervorgehobener Programmcode <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">mehr</a> | <a href="<%= help_code_highlighting_path %>" target="_blank">Unterst&uuml;tzte Sprachen</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Hervorgehobener Programmcode" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Hervorgehobener Programmcode" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Hello'</span>
 <span class="k">end</span>
@@ -33,20 +33,20 @@
 </td></tr>
 
 <tr><th colspan="3">Listen</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Unsortierte Liste" }) %></th><td>* Element 1<br />** Sub<br />* Element 2</td><td><ul><li>Element 1<ul><li>Sub</li></ul></li><li>Element 2</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Sortierte Liste" }) %></th><td># Element 1<br />## Sub<br /># Element 2</td><td><ol><li>Element 1<ol><li>Sub</li></ol></li><li>Element 2</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Unsortierte Liste" }) %></th><td>* Element 1<br />** Sub<br />* Element 2</td><td><ul><li>Element 1<ul><li>Sub</li></ul></li><li>Element 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Sortierte Liste" }) %></th><td># Element 1<br />## Sub<br /># Element 2</td><td><ol><li>Element 1<ol><li>Sub</li></ol></li><li>Element 2</li></ol></td></tr>
 
 <tr><th colspan="3">&Uuml;berschriften <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">mehr</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt: "&Uuml;berschrift 1" }) %></th><td>h1. &Uuml;berschrift 1</td><td><h1>&Uuml;berschrift 1</h1></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt: "&Uuml;berschrift 2" }) %></th><td>h2. &Uuml;berschrift 2</td><td><h2>&Uuml;berschrift 2</h2></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt: "&Uuml;berschrift 3" }) %></th><td>h3. &Uuml;berschrift 3</td><td><h3>&Uuml;berschrift 3</h3></td></tr>
+<tr><th><%= image_tag("jstoolbar/h1.svg", { alt: "&Uuml;berschrift 1" }) %></th><td>h1. &Uuml;berschrift 1</td><td><h1>&Uuml;berschrift 1</h1></td></tr>
+<tr><th><%= image_tag("jstoolbar/h2.svg", { alt: "&Uuml;berschrift 2" }) %></th><td>h2. &Uuml;berschrift 2</td><td><h2>&Uuml;berschrift 2</h2></td></tr>
+<tr><th><%= image_tag("jstoolbar/h3.svg", { alt: "&Uuml;berschrift 3" }) %></th><td>h3. &Uuml;berschrift 3</td><td><h3>&Uuml;berschrift 3</h3></td></tr>
 
 <tr><th colspan="3">Links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">mehr</a>)</span></th></tr>
 <tr><th></th><td>http://foo.bar</td><td><a href="#">http://foo.bar</a></td></tr>
 <tr><th></th><td>"Foo":http://foo.bar</td><td><a href="#">Foo</a></td></tr>
 
 <tr><th colspan="3">Redmine Links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">mehr</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_link.png", { alt: "Link zu einer Wiki Seite" }) %></th><td>[[Wiki Seite]]</td><td><a href="#">Wiki Seite</a></td></tr>
+<tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Link zu einer Wiki Seite" }) %></th><td>[[Wiki Seite]]</td><td><a href="#">Wiki Seite</a></td></tr>
 <tr><th></th><td>Ticket #12</td><td>Ticket <a href="#">#12</a></td></tr>
 <tr><th></th><td>##12</td><td><a href="#">Bug #12</a>: Titel der Aufgabe</td></tr>
 <tr><th></th><td>Revision r43</td><td>Revision <a href="#">r43</a></td></tr>
@@ -54,7 +54,7 @@
 <tr><th></th><td>source:some/file</td><td><a href="#">source:some/file</a></td></tr>
 
 <tr><th colspan="3">eingebettete Bilder <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">mehr</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_img.png", { alt: "Bild" }) %></th><td>!<em>URL_zu_dem_Bild</em>!</td><td></td></tr>
+<tr><th><%= image_tag("jstoolbar/image.svg", { alt: "Bild" }) %></th><td>!<em>URL_zu_dem_Bild</em>!</td><td></td></tr>
 <tr><th></th><td>!<em>angeh&auml;ngtes_Bild</em>!</td><td></td></tr>
 
 <tr><th colspan="3">Tabellen</th></tr>
diff --git a/app/views/help/wiki_syntax/textile/en/wiki_syntax_textile.html.erb b/app/views/help/wiki_syntax/textile/en/wiki_syntax_textile.html.erb
index f0cc52be6..f722e5032 100644
--- a/app/views/help/wiki_syntax/textile/en/wiki_syntax_textile.html.erb
+++ b/app/views/help/wiki_syntax/textile/en/wiki_syntax_textile.html.erb
@@ -11,13 +11,13 @@
 
 <table style="width:100%">
 <tr><th colspan="3">Font Styles <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Strong" }) %></th><td style="width:50%;">*Strong*</td><td style="width:50%;"><strong>Strong</strong></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "Italic" }) %></th><td>_Italic_</td><td><em>Italic</em></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ins.png", { alt: "Underline" }) %></th><td>+Underline+</td><td><ins>Underline</ins></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "Deleted" }) %></th><td>-Deleted-</td><td><del>Deleted</del></td></tr>
+<tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "Strong" }) %></th><td style="width:50%;">*Strong*</td><td style="width:50%;"><strong>Strong</strong></td></tr>
+<tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "Italic" }) %></th><td>_Italic_</td><td><em>Italic</em></td></tr>
+<tr><th><%= image_tag("jstoolbar/underline.svg", { alt: "Underline" }) %></th><td>+Underline+</td><td><ins>Underline</ins></td></tr>
+<tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Deleted" }) %></th><td>-Deleted-</td><td><del>Deleted</del></td></tr>
 <tr><th></th><td>??Quote??</td><td><cite>Quote</cite></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "Inline code" }) %></th><td>@Inline Code@</td><td><code>Inline Code</code></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Preformatted text" }) %></th><td>&lt;pre&gt;<br />&nbsp;lines<br />&nbsp;of code<br />&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Inline code" }) %></th><td>@Inline Code@</td><td><code>Inline Code</code></td></tr>
+<tr><th><span class="syntax-pre"/></th><td>&lt;pre&gt;<br />&nbsp;lines<br />&nbsp;of code<br />&lt;/pre&gt;</td><td>
 <pre>
  lines
  of code
@@ -25,7 +25,7 @@
 </td></tr>
 
 <tr><th colspan="3">Highlighted code <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">more</a> | <a href="<%= help_code_highlighting_path %>" target="_blank">supported languages</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Highlighted code" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Highlighted code" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Hello'</span>
 <span class="k">end</span>
@@ -33,20 +33,20 @@
 </td></tr>
 
 <tr><th colspan="3">Lists</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Unordered list" }) %></th><td>* Item 1<br />** Sub<br />* Item 2</td><td><ul><li>Item 1<ul><li>Sub</li></ul></li><li>Item 2</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Ordered list" }) %></th><td># Item 1<br />## Sub<br /># Item 2</td><td><ol><li>Item 1<ol><li>Sub</li></ol></li><li>Item 2</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Unordered list" }) %></th><td>* Item 1<br />** Sub<br />* Item 2</td><td><ul><li>Item 1<ul><li>Sub</li></ul></li><li>Item 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Ordered list" }) %></th><td># Item 1<br />## Sub<br /># Item 2</td><td><ol><li>Item 1<ol><li>Sub</li></ol></li><li>Item 2</li></ol></td></tr>
 
 <tr><th colspan="3">Headings <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt: "Heading 1" }) %></th><td>h1. Title 1</td><td><h1>Title 1</h1></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt: "Heading 2" }) %></th><td>h2. Title 2</td><td><h2>Title 2</h2></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt: "Heading 3" }) %></th><td>h3. Title 3</td><td><h3>Title 3</h3></td></tr>
+<tr><th><%= image_tag("jstoolbar/h1.svg", { alt: "Heading 1" }) %></th><td>h1. Title 1</td><td><h1>Title 1</h1></td></tr>
+<tr><th><%= image_tag("jstoolbar/h2.svg", { alt: "Heading 2" }) %></th><td>h2. Title 2</td><td><h2>Title 2</h2></td></tr>
+<tr><th><%= image_tag("jstoolbar/h3.svg", { alt: "Heading 3" }) %></th><td>h3. Title 3</td><td><h3>Title 3</h3></td></tr>
 
 <tr><th colspan="3">Links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">more</a>)</span></th></tr>
 <tr><th></th><td>http://foo.bar</td><td><a href="#">http://foo.bar</a></td></tr>
 <tr><th></th><td>"Foo":http://foo.bar</td><td><a href="#">Foo</a></td></tr>
 
 <tr><th colspan="3">Redmine links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_link.png", { alt: "Link to a Wiki page" }) %></th><td>[[Wiki page]]</td><td><a href="#">Wiki page</a></td></tr>
+<tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Link to a Wiki page" }) %></th><td>[[Wiki page]]</td><td><a href="#">Wiki page</a></td></tr>
 <tr><th></th><td>Issue #12</td><td>Issue <a href="#">#12</a></td></tr>
 <tr><th></th><td>##12</td><td><a href="#">Bug #12</a>: The issue subject</td></tr>
 <tr><th></th><td>Revision r43</td><td>Revision <a href="#">r43</a></td></tr>
@@ -54,7 +54,7 @@
 <tr><th></th><td>source:some/file</td><td><a href="#">source:some/file</a></td></tr>
 
 <tr><th colspan="3">Inline images <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_img.png", { alt: "Image" }) %></th><td>!<em>image_url</em>!</td><td></td></tr>
+<tr><th><%= image_tag("jstoolbar/image.svg", { alt: "Image" }) %></th><td>!<em>image_url</em>!</td><td></td></tr>
 <tr><th></th><td>!<em>attached_image</em>!</td><td></td></tr>
 
 <tr><th colspan="3">Tables</th></tr>
